SLASH_ELGOH1, SLASH_ELGOH2 = "/elgoh", "/lgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
	if(msg=="clean") then
		Elgoh_Rottgut();
	elseif(msg=="options" or msg=="config") then
		InterfaceOptionsFrame_OpenToCategory("Elgoh");
	elseif(msg=="auto") then
		Elgoh_AutoRaid();
	elseif(msg=="start") then
		Elgoh_StartDKP();
	elseif(msg=="import") then
		for i=1, GetNumGuildMembers(), 1 do 
			local name = GetGuildRosterInfo(i);
			Elgoh_Default(name);
		end
		Elgoh_Print("Your guilds EPGP has been imported");
	else
		Elgoh_Print("Available Commands:");
		Elgoh_Print("import - Loads all values contained in the website export file (Irreversible; Make sure you're sure you wish to do this)(Requires Officer)");
		Elgoh_Print("clean - Purges the guild of any inactive members (Requires Officer)");
		Elgoh_Print("auto - Applies assist, roles and master looter (Requires Raid Leader)");
		Elgoh_Print("options or config- Opens the options menu to configure Elgoh");
		Elgoh_Print("");
    end
end

function Elgoh_DKPWhisper(who)
	Elgoh_Snapshot(who);
	if (ELGOHDB[who]) then
		SendChatMessage("Detailed Results for "..who..":", "WHISPER", nil, who);
		SendChatMessage("EP: "..ELGOHDB[who]["earned"], "WHISPER", nil, who);
		SendChatMessage("GP: "..ELGOHDB[who]["spent"], "WHISPER", nil, who);
		SendChatMessage("Priority: "..string.format("%.2f",ELGOHDB[who]["earned"]/ELGOHDB[who]["spent"]), "WHISPER", nil, who);
	else
		SendChatMessage("No DKP exists for "..who, "WHISPER", nil, who);
	end		
end

function Elgoh_Officer()
	_, guildRankName = GetGuildInfo("player");
	if(ElgohRankList[guildRankName] and ElgohRankList[guildRankName]["officer"]==1) then 
		return true; 
	else 
		Elgoh_Print("You must be an officer to do that"); 
		return false;
	end
end

SLASH_ANOO1 = "/anoo"
SlashCmdList["ANOO"] = function(msg, editBox)
	msg = strlower(msg);
	if(msg=="version") then
		SendAddonMessage("anoo", "version", "GUILD");
	else
		ReloadUI();
	end
end

SLASH_DISBAND1 = "/disband"
SlashCmdList["DISBAND"] = function(msg, editBox)
	for i=0, GetNumRaidMembers(), 1 do 
		name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
		if(name~=UnitName("player")) then UninviteUnit(name); end
	end
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
local Time=msg;
	if(Time=="") then  Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then
		SendChatMessage(string.gsub(BreaktimeString, "TIME", Time), "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		Elgoh_Print("Timers require Deadly Boss Mods");
	end
end

function Elgoh_Print(message)
	message="|cff66ff33Elgoh:|r "..message;
	print(message);
end

function EDebug(message)
	if(ElgohDebug==1 and message~=nil) then
		message="|cff666666Elgoh:|r "..message;
		print(message);
	end
end