ElgohLootButton={};
local height=_G["LootButton1"]:GetHeight();
for i=1, 4 do
	local name="ElgohLootButton"..i.."MS";
	ElgohLootButton[i]=CreateFrame("Button",name,_G["LootFrame"],"UIPanelButtonTemplate")
	ElgohLootButton[i]:SetWidth(height)
	ElgohLootButton[i]:SetHeight(height)
	local button=_G["LootButton"..i];
	ElgohLootButton[i]:SetPoint("TOP", button, "TOP", 0, 0);
	ElgohLootButton[i]:SetPoint("LEFT", _G["LootFrame"], "RIGHT", -65, 0);
	ElgohLootButton[i]:SetScript("OnClick", function(self) Elgoh_LootButton(self); end);
	
	local name="ElgohLootButton"..i.."OS";
	ElgohLootButton[i+4]=CreateFrame("Button",name,_G["LootFrame"],"UIPanelButtonTemplate")
	ElgohLootButton[i+4]:SetWidth(height)
	ElgohLootButton[i+4]:SetHeight(height)
	ElgohLootButton[i+4]:SetPoint("TOP", button, "TOP", 0, 0);
	ElgohLootButton[i+4]:SetPoint("LEFT", _G["ElgohLootButton"..i.."MS"], "RIGHT", 5, 0);
	ElgohLootButton[i+4]:SetScript("OnClick", function(self) Elgoh_LootButton(self); end);
	
	ElgohLootButton[i]:SetText("MS");
	ElgohLootButton[i+4]:SetText("OS");
	
	ElgohLootButton[i]:Hide();
	ElgohLootButton[i+4]:Hide();
end

ElgohLootButtonLink=CreateFrame("Button",nil,_G["LootFrame"],"UIPanelButtonTemplate")
ElgohLootButtonLink:SetWidth(100)
ElgohLootButtonLink:SetHeight(25)
ElgohLootButtonLink:SetPoint("TOP", _G["LootFrame"], "TOP", 0, -40);
ElgohLootButtonLink:SetPoint("LEFT", _G["LootFrame"], "LEFT", 75, 0);
ElgohLootButtonLink:SetScript("OnClick", function() Elgoh_LootShow(1); end);
ElgohLootButtonLink:SetText("Link");
ElgohLootButtonLink:Hide();

function Elgoh_LootButton(self)
	local item=string.sub(self:GetName(), 16,16);
	local spec=string.sub(self:GetName(), 17,18);
	local itemLink=GetLootSlotLink(item);
	if itemLink==nil then return; end
	local message;
	if(spec=="MS") then
		message=string.gsub(ElgohMainspec, "ITEM", itemLink)
	elseif(spec=="OS") then
		message=string.gsub(ElgohOffspec, "ITEM", itemLink)
	end
	EDebug(message);
	SendChatMessage(message, "RAID_WARNING");
end

function Elgoh_LootShow(link)
	local MaxLoot={};
	local r=0;
	local header=0;
	for i=1,GetNumLootItems() do
		local _,lootName,_,rarity = GetLootSlotInfo(i);
		if(LootSlotIsItem(i) and rarity==4) then
			if(link==1 and header==0) then SendChatMessage("Linking loot for "..UnitName("TARGET"), "RAID"); header=1; end
			r=r+1;
			tinsert(MaxLoot,lootName);
			if(link==1) then SendChatMessage(r..": "..GetLootSlotLink(i), "RAID"); end
			EDebug(i.."-"..r..": "..lootName);
		end 
	end
	if(link==1) then return; end
	if(r>0) then ElgohLootButtonLink:Show(); else ElgohLootButtonLink:Hide(); end
	--EDebug("MaxLoot="..#MaxLoot);
	for i=1,4 do
		if(i==4 and (GetNumLootItems()>(4*LootFrame.page))) then return; end
		local _,_,_,rarity = GetLootSlotInfo(i+(4*(LootFrame.page-1)));
		if(rarity~=nil and (rarity==4 or ElgohDebug==1)) then
			ElgohLootButton[i]:Show();
			ElgohLootButton[i+4]:Show();
		else
			ElgohLootButton[i]:Hide();
			ElgohLootButton[i+4]:Hide();
		end
	end
end